rust-tokio-signal

Package information

State
ok

Scheduler parameters

Tracked by Koschei
True
Current priority
1634
Manual priority
0
Static priority
0
Arch override
None
Skip resolution
False

Configure scheduling

Tracked by Koschei
Manual priority
Skip resolution
Arch override
Cancel

Dependency changes since last build

rust-tokio-reactor+default-devel
0.1.9-6.fc31
0.1.10-1.fc32
1
rust-tokio-reactor-devel
0.1.9-6.fc31
0.1.10-1.fc32
2
rust-tokio-threadpool+default-devel
0.1.15-2.fc31
0.1.16-1.fc32
3
rust-tokio-udp+default-devel
0.1.3-5.fc31
0.1.5-1.fc32
3
rust-tokio-sync+default-devel
0.1.6-3.fc31
0.1.7-1.fc32
3
rust-tokio-sync-devel
0.1.6-3.fc31
0.1.7-1.fc32
4
rust-tokio-udp-devel
0.1.3-5.fc31
0.1.5-1.fc32
4
rust-tokio-threadpool-devel
0.1.15-2.fc31
0.1.16-1.fc32
4
rust-rand_os0.1+default-devel
0.1.3-1.fc31
rust-rand_pcg0.1+default-devel
0.1.2-1.fc31
rust-rand0.6-devel
0.6.5-1.fc31
rust-rand_xorshift0.1-devel
0.1.1-1.fc31
rust-rand_core0.4-devel
0.4.2-1.fc32
rust-rand_chacha0.1-devel
0.1.1-1.fc31
rust-rand0.6+std-devel
0.6.5-1.fc31
rust-rand_isaac0.1-devel
0.1.1-1.fc31
rust-rand_hc0.1+default-devel
0.1.0-1.fc31
rust-rand_core0.4+alloc-devel
0.4.2-1.fc32
rust-rand_pcg0.1-devel
0.1.2-1.fc31
rust-rand0.6+alloc-devel
0.6.5-1.fc31
rust-autocfg+default-devel
0.1.7-1.fc32
rust-rand0.6+default-devel
0.6.5-1.fc31
rust-rand_chacha0.1+default-devel
0.1.1-1.fc31
rust-rand_hc0.1-devel
0.1.0-1.fc31
rust-rand_xorshift0.1+default-devel
0.1.1-1.fc31
rust-rand_isaac0.1+default-devel
0.1.1-1.fc31
rust-rand_jitter0.1+std-devel
0.1.4-1.fc31
rust-rand_core0.3-devel
0.3.1-6.fc31
rust-autocfg-devel
0.1.7-1.fc32
rust-rand_core0.4+default-devel
0.4.2-1.fc32
rust-rand_core0.4+std-devel
0.4.2-1.fc32
rust-rand_jitter0.1-devel
0.1.4-1.fc31
rust-rand_os0.1-devel
0.1.3-1.fc31
rust-rand_jitter0.1+default-devel
0.1.4-1.fc31

Most recent builds

rust-mio+default-devel
0.6.19-3.fc31
0.6.20-1.fc32
1
rust-futures0.1+default-devel
0.1.27-3.fc31
0.1.29-1.fc32
1
rust-futures0.1+use_std-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-futures0.1-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-mio+with-deprecated-devel
0.6.19-3.fc31
0.6.20-1.fc32
2
rust-futures0.1+with-deprecated-devel
0.1.27-3.fc31
0.1.29-1.fc32
2
rust-mio-devel
0.6.19-3.fc31
0.6.20-1.fc32
2
openssl-libs
1:1.1.1d-4.fc32
1:1.1.1d-5.fc32
3
rust-iovec+default-devel
0.1.2-7.fc31
0.1.4-1.fc32
3
binutils
2.33.1-7.fc32
2.33.1-8.fc32
4
rust-iovec-devel
0.1.2-7.fc31
0.1.4-1.fc32
4
krb5-libs
1.17-51.fc32
1.17-52.fc32
4
rust-rand_core0.4+alloc-devel
0.4.0-1.fc31
0.4.2-1.fc32
B
rust-smallvec-devel
0.6.10-3.fc31
rust-smallvec0.6+std-devel
0.6.12-1.fc32
B
rust-smallvec0.6-devel
0.6.12-1.fc32
B
rust-smallvec0.6+default-devel
0.6.12-1.fc32
B
pcre2
10.34-0.2.RC2.fc32
10.34-1.fc32
B
audit-libs
3.0-0.15.20191104...
3.0-0.16.20191104...
B
binutils-gold
2.33.1-7.fc32
2.33.1-8.fc32
B
libtasn1
4.14-2.fc31
4.15.0-1.fc32
B
rust-smallvec+std-devel
0.6.10-3.fc31
rust-rand_core0.4+default-devel
0.4.0-1.fc31
0.4.2-1.fc32
B
gdb-minimal
9.0.50.20191018-1.fc32
9.0.50.20191119-2.fc32
B
systemd-libs
243.4-1.fc32
244~rc1-1.fc32
B
rust-smallvec+default-devel
0.6.10-3.fc31
rust-rand_core0.4-devel
0.4.0-1.fc31
0.4.2-1.fc32
B
rust-rand_core0.4+std-devel
0.4.0-1.fc31
0.4.2-1.fc32
B
2019-11-22 20:41:13
Package dependencies resolved successfuly
2019-11-22 20:04:11
Package resolution failed
  • Problem: package rust-tokio-reactor-devel-0.1.9-6.fc31.noarch requires (crate(parking_lot/default) >= 0.9.0 with crate(parking_lot/default) < 0.10.0), but none of the providers can be installed
    - package rust-tokio-reactor+default-devel-0.1.9-6.fc31.noarch requires crate(tokio-reactor) = 0.1.9, but none of the providers can be installed
    - package rust-parking_lot+default-devel-0.9.0-1.fc31.noarch requires crate(parking_lot) = 0.9.0, but none of the providers can be installed
    - package rust-tokio+reactor-devel-0.1.22-2.fc31.noarch requires (crate(tokio-reactor/default) >= 0.1.1 with crate(tokio-reactor/default) < 0.2.0), but none of the providers can be installed
    - package rust-parking_lot-devel-0.9.0-1.fc31.noarch requires (crate(parking_lot_core/default) >= 0.6.0 with crate(parking_lot_core/default) < 0.7.0), but none of the providers can be installed
    - package rust-tokio+default-devel-0.1.22-2.fc31.noarch requires crate(tokio/reactor) = 0.1.22, but none of the providers can be installed
    - package rust-parking_lot_core+default-devel-0.6.2-1.fc31.noarch requires crate(parking_lot_core) = 0.6.2, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(smallvec/default) >= 0.6.0 with crate(smallvec/default) < 0.7.0) needed by rust-parking_lot_core-devel-0.6.2-1.fc31.noarch
  • Problem: package rust-parking_lot+default-devel-0.9.0-1.fc31.noarch requires crate(parking_lot) = 0.9.0, but none of the providers can be installed
    - package rust-tokio-reactor-devel-0.1.9-6.fc31.noarch requires (crate(parking_lot/default) >= 0.9.0 with crate(parking_lot/default) < 0.10.0), but none of the providers can be installed
    - package rust-parking_lot-devel-0.9.0-1.fc31.noarch requires (crate(parking_lot_core/default) >= 0.6.0 with crate(parking_lot_core/default) < 0.7.0), but none of the providers can be installed
    - package rust-tokio-reactor+default-devel-0.1.9-6.fc31.noarch requires crate(tokio-reactor) = 0.1.9, but none of the providers can be installed
    - package rust-parking_lot_core+default-devel-0.6.2-1.fc31.noarch requires crate(parking_lot_core) = 0.6.2, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(smallvec/default) >= 0.6.0 with crate(smallvec/default) < 0.7.0) needed by rust-parking_lot_core-devel-0.6.2-1.fc31.noarch
rust-signal-hook+default-devel
0.1.10-1.fc32
0.1.11-1.fc32
1
rust-signal-hook-devel
0.1.10-1.fc32
0.1.11-1.fc32
2
rust-num_cpus+default-devel
1.10.1-3.fc31
1.11.1-1.fc32
3
glibc-devel
2.30.9000-18.fc32
2.30.9000-19.fc32
3
python3-jinja2
2.10.1-5.fc32
2.10.3-2.fc32
3
glibc
2.30.9000-18.fc32
2.30.9000-19.fc32
3
rust-crossbeam-utils0.6+default-devel
0.6.6-1.fc32
3
glibc-common
2.30.9000-18.fc32
2.30.9000-19.fc32
4
rust-crossbeam-utils0.6+std-devel
0.6.6-1.fc32
4
krb5-libs
1.17-47.fc32
1.17-51.fc32
4
python3-urllib3
1.25.7-1.fc32
1.25.7-2.fc32
4
rust-crossbeam-utils0.6-devel
0.6.6-1.fc32
4
rust-num_cpus-devel
1.10.1-3.fc31
1.11.1-1.fc32
4
glibc-headers
2.30.9000-18.fc32
2.30.9000-19.fc32
4
glibc-minimal-langpack
2.30.9000-18.fc32
2.30.9000-19.fc32
4
rust-crossbeam-utils-devel
0.6.6-1.fc32
rust-autocfg+default-devel
0.1.6-1.fc32
0.1.7-1.fc32
B
annobin
8.90-1.fc32
8.91-1.fc32
B
file-libs
5.37-8.fc32
5.37-9.fc32
B
rust-crossbeam-utils+default-devel
0.6.6-1.fc32
rust-autocfg-devel
0.1.6-1.fc32
0.1.7-1.fc32
B
rust-memoffset-devel
0.5.1-1.fc32
0.5.3-1.fc32
B
rpm
4.15.0-7.fc32
4.15.1-1.fc32
B
rust-memoffset+default-devel
0.5.1-1.fc32
0.5.3-1.fc32
B
rust-arc-swap-devel
0.4.3-1.fc32
0.4.4-1.fc32
B
unzip
6.0-45.fc32
6.0-46.fc32
B
rpm-build-libs
4.15.0-7.fc32
4.15.1-1.fc32
B
rpm-libs
4.15.0-7.fc32
4.15.1-1.fc32
B
rpm-build
4.15.0-7.fc32
4.15.1-1.fc32
B
rust-arc-swap+default-devel
0.4.3-1.fc32
0.4.4-1.fc32
B
pcre2
10.34-0.1.RC2.fc32
10.34-0.2.RC2.fc32
B
rust-crossbeam-utils+std-devel
0.6.6-1.fc32
systemd-libs
243-4.gitef67743....
243.4-1.fc32
B
file
5.37-8.fc32
5.37-9.fc32
B
rust-nodrop-devel
0.1.13-4.fc31
0.1.14-1.fc32
B
2019-11-19 10:53:16
Package dependencies resolved successfuly
2019-11-19 10:43:36
Package resolution failed
  • Problem: package rust-tokio-reactor+default-devel-0.1.9-6.fc31.noarch requires crate(tokio-reactor) = 0.1.9, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(crossbeam-utils/default) >= 0.6.0 with crate(crossbeam-utils/default) < 0.7.0) needed by rust-tokio-reactor-devel-0.1.9-6.fc31.noarch
  • Problem: package rust-tokio-executor+default-devel-0.1.8-2.fc31.noarch requires crate(tokio-executor) = 0.1.8, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(crossbeam-utils/default) >= 0.6.2 with crate(crossbeam-utils/default) < 0.7.0) needed by rust-tokio-executor-devel-0.1.8-2.fc31.noarch
  • Problem: package rust-tokio+timer-devel-0.1.22-2.fc31.noarch requires (crate(tokio-timer/default) >= 0.2.8 with crate(tokio-timer/default) < 0.3.0), but none of the providers can be installed
    - package rust-tokio+default-devel-0.1.22-2.fc31.noarch requires crate(tokio/timer) = 0.1.22, but none of the providers can be installed
    - package rust-tokio-timer+default-devel-0.2.11-3.fc31.noarch requires crate(tokio-timer) = 0.2.11, but none of the providers can be installed
    - conflicting requests
    - nothing provides (crate(crossbeam-utils/default) >= 0.6.0 with crate(crossbeam-utils/default) < 0.7.0) needed by rust-tokio-timer-devel-0.2.11-3.fc31.noarch
cargo
1.39.0-1.fc32
1.39.0-2.fc32
2
rust
1.39.0-1.fc32
1.39.0-2.fc32
2
libcurl
7.67.0-1.fc32
7.67.0-2.fc32
3
python3-setuptools
41.2.0-1.fc32
41.6.0-1.fc32
3
glibc
2.30.9000-17.fc32
2.30.9000-18.fc32
3
openssl-libs
1:1.1.1d-2.fc32
1:1.1.1d-4.fc32
3
rust-std-static
1.39.0-1.fc32
1.39.0-2.fc32
3
glibc-devel
2.30.9000-17.fc32
2.30.9000-18.fc32
3
ncurses-libs
6.1-13.20191026.fc32
6.1-14.20191109.fc32
4
libidn2
2.2.0-2.fc31
2.3.0-1.fc32
4
libnghttp2
1.39.2-1.fc32
1.40.0-1.fc32
4
glibc-minimal-langpack
2.30.9000-17.fc32
2.30.9000-18.fc32
4
binutils
2.33.1-6.fc32
2.33.1-7.fc32
4
glibc-headers
2.30.9000-17.fc32
2.30.9000-18.fc32
4
python3-chardet
3.0.4-13.fc32
3.0.4-14.fc32
4
python3-urllib3
1.25.6-1.fc32
1.25.7-1.fc32
4
glibc-common
2.30.9000-17.fc32
2.30.9000-18.fc32
4
libsemanage
2.9-5.fc32
3.0-0.rc1.1.fc32
B
python3-pysocks
1.7.1-1.fc32
1.7.1-2.fc32
B
binutils-gold
2.33.1-6.fc32
2.33.1-7.fc32
B
pcre2
10.33-15.fc32
10.34-0.1.RC2.fc32
B
rpm-build
4.15.0-6.fc32
4.15.0-7.fc32
B
curl
7.67.0-1.fc32
7.67.0-2.fc32
B
libselinux
2.9-7.fc32
3.0-0.r1.1.fc32
B
rpm-build-libs
4.15.0-6.fc32
4.15.0-7.fc32
B
libsepol
2.9-2.fc31
3.0-0.rc.1.fc32
B
ncurses-base
6.1-13.20191026.fc32
6.1-14.20191109.fc32
B
python-setuptools-wheel
41.2.0-1.fc32
41.6.0-1.fc32
B
annobin
8.88-1.fc32
8.90-1.fc32
B
ncurses
6.1-13.20191026.fc32
6.1-14.20191109.fc32
B
rpm
4.15.0-6.fc32
4.15.0-7.fc32
B
rpm-libs
4.15.0-6.fc32
4.15.0-7.fc32
B
cargo
1.38.0-2.fc32
1.39.0-1.fc32
2
rust
1.38.0-2.fc32
1.39.0-1.fc32
2
rust-std-static
1.38.0-2.fc32
1.39.0-1.fc32
3
zlib
1.2.11-19.fc32
1.2.11-20.fc32
3
glibc
2.30.9000-15.fc32
2.30.9000-17.fc32
3
python3-tqdm
4.36.1-1.fc32
4.37.0-1.fc32
3
libcurl
7.66.0-1.fc32
7.67.0-1.fc32
3
libssh2
1.9.0-2.fc31
1.9.0-3.fc32
3
glibc-devel
2.30.9000-15.fc32
2.30.9000-17.fc32
3
libssh
0.9.0-6.fc31
0.9.2-1.fc32
4
krb5-libs
1.17-46.fc32
1.17-47.fc32
4
glibc-common
2.30.9000-15.fc32
2.30.9000-17.fc32
4
crypto-policies
20190816-4.gitbb9bf99....
20191002-1.gitc93dc99....
4
binutils
2.33.1-1.fc32
2.33.1-6.fc32
4
glibc-minimal-langpack
2.30.9000-15.fc32
2.30.9000-17.fc32
4
ncurses-libs
6.1-12.20190803.fc31
6.1-13.20191026.fc32
4
python3-babel
2.7.0-5.fc32
2.7.0-7.fc32
4
glibc-headers
2.30.9000-15.fc32
2.30.9000-17.fc32
4
libtirpc
1.1.4-2.rc3.fc32
1.1.4-3.rc3.fc32
B
ncurses
6.1-12.20190803.fc31
6.1-13.20191026.fc32
B
ncurses-base
6.1-12.20190803.fc31
6.1-13.20191026.fc32
B
curl
7.66.0-1.fc32
7.67.0-1.fc32
B
fedora-release
32-0.3
32-0.4
B
fedora-release-common
32-0.3
32-0.4
B
kernel-headers
5.4.0-0.rc1.git0.1....
5.4.0-0.rc6.git0.1....
B
libssh-config
0.9.0-6.fc31
0.9.2-1.fc32
B
pcre2
10.33-14.fc32
10.33-15.fc32
B
libxml2
2.9.9-6.fc32
2.9.10-1.fc32
B
binutils-gold
2.33.1-1.fc32
2.33.1-6.fc32
B
libpwquality
1.4.1-1.fc32
1.4.2-1.fc32
B
python-pip-wheel
19.2.3-1.fc32
19.2.3-2.fc32
B
redhat-rpm-config
141-2.fc32
142-1.fc32
B
which
2.21-15.fc31
2.21-16.fc32
B
audit-libs
3.0-0.14.20190507...
3.0-0.15.20191104...
B
annobin
8.87-1.fc32
8.88-1.fc32
B
Previous history